Package com.ocient.jdbc.proto

# Class ClientWireProtocol.SecurityToken.Builder

java.lang.Object
com.google.protobuf.AbstractMessageLite.Builder
com.google.protobuf.AbstractMessage.Builder<BuilderT>
com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.SecurityToken.Builder>
com.ocient.jdbc.proto.ClientWireProtocol.SecurityToken.Builder

All Implemented Interfaces:
  `Message.Builder`, `MessageLite.Builder`, `MessageLiteOrBuilder`, `MessageOrBuilder`, `ClientWireProtocol.SecurityTokenOrBuilder`, `Cloneable`

Enclosing class:
  ClientWireProtocol.SecurityToken

public static final class ClientWireProtocol.SecurityToken.Builder extends GeneratedMessageV3.Builder<ClientWireProtocol.SecurityToken.Builder> implements ClientWireProtocol.SecurityTokenOrBuilder

     For Connectors v2, we should be using compact JWE's which provide integrity verifiction + encryption

Protobuf type `xg.cmdcomp.SecurityToken`

## Method Summary

Modifier and Type
Method
Description
`ClientWireProtocol.SecurityToken`
`build()`
Constructs the message based on the state of the Builder.
`ClientWireProtocol.SecurityToken`
`buildPartial()`
Like `MessageLite.Builder.build()`, but does not throw an exception if the message is missing required fields.
`ClientWireProtocol.SecurityToken.Builder`
`clear()`
Called by the initialization and clear code paths to allow subclasses to reset any of their builtin fields back to the initial values.
`ClientWireProtocol.SecurityToken.Builder`
`clearData()`
The token payload
`ClientWireProtocol.SecurityToken.Builder`
`clearIssuerFingerprint()`
`string issuerFingerprint = 3;`
`ClientWireProtocol.SecurityToken.Builder`
`clearSignature()`
`string signature = 2;`
`String`
`getData()`
The token payload
`ByteString`
`getDataBytes()`
The token payload
`ClientWireProtocol.SecurityToken`
`getDefaultInstanceForType()`
Get an instance of the type with no fields set.
`static final Descriptors.Descriptor`
`getDescriptor()`
`Descriptors.Descriptor`
`getDescriptorForType()`
Get the message's type's descriptor.
`String`
`getIssuerFingerprint()`
`string issuerFingerprint = 3;`
`ByteString`
`getIssuerFingerprintBytes()`
`string issuerFingerprint = 3;`
`String`
`getSignature()`
`string signature = 2;`
`ByteString`
`getSignatureBytes()`
`string signature = 2;`
`protected GeneratedMessageV3.FieldAccessorTable`
`internalGetFieldAccessorTable()`
Get the FieldAccessorTable for this type.
`final boolean`
`isInitialized()`
Returns true if all required fields in the message and all embedded messages are set, false otherwise.
`ClientWireProtocol.SecurityToken.Builder`
`mergeFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)`
Like `MessageLite.Builder.mergeFrom(CodedInputStream)`, but also parses extensions.
`ClientWireProtocol.SecurityToken.Builder`
`mergeFrom(Message other)`
Merge `other` into the message being built.
`ClientWireProtocol.SecurityToken.Builder`
`mergeFrom(ClientWireProtocol.SecurityToken other)`
`final ClientWireProtocol.SecurityToken.Builder`
`mergeUnknownFields(UnknownFieldSet unknownFields)`
Merge some unknown fields into the `UnknownFieldSet` for this message.
`ClientWireProtocol.SecurityToken.Builder`
`setData(String value)`
The token payload
`ClientWireProtocol.SecurityToken.Builder`
`setDataBytes(ByteString value)`
The token payload
`ClientWireProtocol.SecurityToken.Builder`
`setIssuerFingerprint(String value)`
`string issuerFingerprint = 3;`
`ClientWireProtocol.SecurityToken.Builder`
`setIssuerFingerprintBytes(ByteString value)`
`string issuerFingerprint = 3;`
`ClientWireProtocol.SecurityToken.Builder`
`setSignature(String value)`
`string signature = 2;`
`ClientWireProtocol.SecurityToken.Builder`
`setSignatureBytes(ByteString value)`
`string signature = 2;`
`final ClientWireProtocol.SecurityToken.Builder`
`setUnknownFields(UnknownFieldSet unknownFields)`
Set the `UnknownFieldSet` for this message.

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`addRepeatedField, clearField, clearOneof, clone, getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, getUnknownFieldSetBuilder, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, mergeUnknownLengthDelimitedField, mergeUnknownVarintField, newBuilderForField, onBuilt, onChanged, parseUnknownField, setField, setRepeatedField, setUnknownFieldSetBuilder, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.Message.Builder

`mergeDelimitedFrom, mergeDelimitedFrom`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getDescriptor

public static final Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

protected GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()
Description copied from class: `GeneratedMessageV3.Builder`
Get the FieldAccessorTable for this type. We can't have the message class pass this in to the constructor because of bootstrapping trouble with DescriptorProtos.

Specified by:
  `internalGetFieldAccessorTable` in class `GeneratedMessageV3.Builder<ClientWireProtocol.SecurityToken.Builder>`

### clear

public ClientWireProtocol.SecurityToken.Builder clear()
Description copied from class: `GeneratedMessageV3.Builder`
Called by the initialization and clear code paths to allow subclasses to reset any of their builtin fields back to the initial values.

Specified by:
  `clear` in interface `Message.Builder`
Specified by:
  `clear` in interface `MessageLite.Builder`
Overrides:
  `clear` in class `GeneratedMessageV3.Builder<ClientWireProtocol.SecurityToken.Builder>`

### getDescriptorForType

public Descriptors.Descriptor getDescriptorForType()
Description copied from interface: `Message.Builder`
Get the message's type's descriptor. See `MessageOrBuilder.getDescriptorForType()`.

Specified by:
  `getDescriptorForType` in interface `Message.Builder`
Specified by:
  `getDescriptorForType` in interface `MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `GeneratedMessageV3.Builder<ClientWireProtocol.SecurityToken.Builder>`

### getDefaultInstanceForType

public ClientWireProtocol.SecurityToken getDefaultInstanceForType()
Description copied from interface: `MessageLiteOrBuilder`
Get an instance of the type with no fields set. Because no fields are set, all getters for singular fields will return default values and repeated fields will appear empty. This may or may not be a singleton. This differs from the `getDefaultInstance()` method of generated message classes in that this method is an abstract method of the `MessageLite` interface whereas `getDefaultInstance()` is a static method of a specific class. They return the same thing.

Specified by:
  `getDefaultInstanceForType` in interface `MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `MessageOrBuilder`

### build

public ClientWireProtocol.SecurityToken build()
Description copied from interface: `MessageLite.Builder`
Constructs the message based on the state of the Builder. Subsequent changes to the Builder will not affect the returned message.

Specified by:
  `build` in interface `Message.Builder`
Specified by:
  `build` in interface `MessageLite.Builder`

### buildPartial

public ClientWireProtocol.SecurityToken buildPartial()
Description copied from interface: `MessageLite.Builder`
Like `MessageLite.Builder.build()`, but does not throw an exception if the message is missing required fields. Instead, a partial message is returned. Subsequent changes to the Builder will not affect the returned message.

Specified by:
  `buildPartial` in interface `Message.Builder`
Specified by:
  `buildPartial` in interface `MessageLite.Builder`

### mergeFrom

public ClientWireProtocol.SecurityToken.Builder mergeFrom(Message other)
Description copied from interface: `Message.Builder`
Merge `other` into the message being built. `other` must have the exact same type as `this` (i.e. `getDescriptorForType() == other.getDescriptorForType()`).

Merging occurs as follows. For each field:
* For singular primitive fields, if the field is set in `other`, then `other`'s value overwrites the value in this message.
* For singular message fields, if the field is set in `other`, it is merged into the corresponding sub-message of this message using the same merging rules.
* For repeated fields, the elements in `other` are concatenated with the elements in this message.
* For oneof groups, if the other message has one of the fields set, the group of this message is cleared and replaced by the field of the other message, so that the oneof constraint is preserved.

This is equivalent to the `Message::MergeFrom` method in C++.

Specified by:
  `mergeFrom` in interface `Message.Builder`
Overrides:
  `mergeFrom` in class `AbstractMessage.Builder<ClientWireProtocol.SecurityToken.Builder>`

### mergeFrom

public ClientWireProtocol.SecurityToken.Builder mergeFrom(ClientWireProtocol.SecurityToken other)

### isInitialized

public final boolean isInitialized()
Description copied from interface: `MessageLiteOrBuilder`
Returns true if all required fields in the message and all embedded messages are set, false otherwise.

See also: `MessageOrBuilder.getInitializationErrorString()`

Specified by:
  `isInitialized` in interface `MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `GeneratedMessageV3.Builder<ClientWireProtocol.SecurityToken.Builder>`

### mergeFrom

public ClientWireProtocol.SecurityToken.Builder mergeFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry) throws IOException
Description copied from interface: `MessageLite.Builder`
Like `MessageLite.Builder.mergeFrom(CodedInputStream)`, but also parses extensions. The extensions that you want to be able to parse must be registered in `extensionRegistry`. Extensions not in the registry will be treated as unknown fields.

Specified by:
  `mergeFrom` in interface `Message.Builder`
Specified by:
  `mergeFrom` in interface `MessageLite.Builder`
Overrides:
  `mergeFrom` in class `AbstractMessage.Builder<ClientWireProtocol.SecurityToken.Builder>`
Throws:
  `InvalidProtocolBufferException` - the bytes read are not syntactically correct according to the protobuf wire format specification. The data is corrupt, incomplete, or was never a protobuf in the first place.
  `IOException` - an I/O error reading from the stream

### getData

public String getData()

     The token payload

`string data = 1;`

Specified by:
  `getData` in interface `ClientWireProtocol.SecurityTokenOrBuilder`
Returns:
  The data.

### getDataBytes

public ByteString getDataBytes()

     The token payload

`string data = 1;`

Specified by:
  `getDataBytes` in interface `ClientWireProtocol.SecurityTokenOrBuilder`
Returns:
  The bytes for data.

### setData

public ClientWireProtocol.SecurityToken.Builder setData(String value)

     The token payload

`string data = 1;`

Parameters:
  `value` - The data to set.
Returns:
  This builder for chaining.

### clearData

public ClientWireProtocol.SecurityToken.Builder clearData()

     The token payload

`string data = 1;`

Returns:
  This builder for chaining.

### setDataBytes

public ClientWireProtocol.SecurityToken.Builder setDataBytes(ByteString value)

     The token payload

`string data = 1;`

Parameters:
  `value` - The bytes for data to set.
Returns:
  This builder for chaining.

### getSignature

public String getSignature()
`string signature = 2;`

Specified by:
  `getSignature` in interface `ClientWireProtocol.SecurityTokenOrBuilder`
Returns:
  The signature.

### getSignatureBytes

public ByteString getSignatureBytes()
`string signature = 2;`

Specified by:
  `getSignatureBytes` in interface `ClientWireProtocol.SecurityTokenOrBuilder`
Returns:
  The bytes for signature.

### setSignature

public ClientWireProtocol.SecurityToken.Builder setSignature(String value)
`string signature = 2;`

Parameters:
  `value` - The signature to set.
Returns:
  This builder for chaining.

### clearSignature

public ClientWireProtocol.SecurityToken.Builder clearSignature()
`string signature = 2;`

Returns:
  This builder for chaining.

### setSignatureBytes

public ClientWireProtocol.SecurityToken.Builder setSignatureBytes(ByteString value)
`string signature = 2;`

Parameters:
  `value` - The bytes for signature to set.
Returns:
  This builder for chaining.

### getIssuerFingerprint

public String getIssuerFingerprint()
`string issuerFingerprint = 3;`

Specified by:
  `getIssuerFingerprint` in interface `ClientWireProtocol.SecurityTokenOrBuilder`
Returns:
  The issuerFingerprint.

### getIssuerFingerprintBytes

public ByteString getIssuerFingerprintBytes()
`string issuerFingerprint = 3;`

Specified by:
  `getIssuerFingerprintBytes` in interface `ClientWireProtocol.SecurityTokenOrBuilder`
Returns:
  The bytes for issuerFingerprint.

### setIssuerFingerprint

public ClientWireProtocol.SecurityToken.Builder setIssuerFingerprint(String value)
`string issuerFingerprint = 3;`

Parameters:
  `value` - The issuerFingerprint to set.
Returns:
  This builder for chaining.

### clearIssuerFingerprint

public ClientWireProtocol.SecurityToken.Builder clearIssuerFingerprint()
`string issuerFingerprint = 3;`

Returns:
  This builder for chaining.

### setIssuerFingerprintBytes

public ClientWireProtocol.SecurityToken.Builder setIssuerFingerprintBytes(ByteString value)
`string issuerFingerprint = 3;`

Parameters:
  `value` - The bytes for issuerFingerprint to set.
Returns:
  This builder for chaining.

### setUnknownFields

public final ClientWireProtocol.SecurityToken.Builder setUnknownFields(UnknownFieldSet unknownFields)
Description copied from interface: `Message.Builder`
Set the `UnknownFieldSet` for this message.

Specified by:
  `setUnknownFields` in interface `Message.Builder`
Overrides:
  `setUnknownFields` in class `GeneratedMessageV3.Builder<ClientWireProtocol.SecurityToken.Builder>`

### mergeUnknownFields

public final ClientWireProtocol.SecurityToken.Builder mergeUnknownFields(UnknownFieldSet unknownFields)
Description copied from interface: `Message.Builder`
Merge some unknown fields into the `UnknownFieldSet` for this message.

Specified by:
  `mergeUnknownFields` in interface `Message.Builder`
Overrides:
  `mergeUnknownFields` in class `GeneratedMessageV3.Builder<ClientWireProtocol.SecurityToken.Builder>`